Bug 1389265 - Using groups with copr-cli is not easily discoverable
Summary: Using groups with copr-cli is not easily discoverable
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Copr
Classification: Community
Component: cli
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: clime
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-10-27 10:08 UTC by Christophe Fergeau
Modified: 2017-01-05 17:19 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-27 05:18:18 UTC


Attachments (Terms of Use)

Description Christophe Fergeau 2016-10-27 10:08:52 UTC
I tried to use the spice group with copr-cli, did not appear in copr-cli list, copr-cli list spice did not work. A colleague finally told me that I had to use copr-cli list @spice, which worked. But he initially had the same issue.

This is mentioned in the manual, but only very briefly (only 3 'group' occurrences). However, copr-cli list --help says:

« usage: copr list [-h] [username]

positional arguments:
  username    The username that you would like to list the copr of (defaults
              to current user)

optional arguments:
  -h, --help  show this help message and exit »

It would be nice if it was changed to something like:

« usage: copr list [-h] [username|@groupname]

positional arguments:
  username    The username that you would like to list the copr of (defaults
              to current user)
  groupname   The name of a group that you would like to list the copr of,
              prefixed with @

optional arguments:
  -h, --help  show this help message and exit
»

Or a --group option could be added to accept a group name without a @

Comment 2 Fedora Update System 2016-12-02 09:22:00 UTC
python-copr-1.75-1.fc23 copr-cli-1.58-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-d0ffe6c134

Comment 3 Fedora Update System 2016-12-02 09:22:16 UTC
python-copr-1.75-1.fc25 copr-cli-1.58-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-f69f5dbfee

Comment 4 Fedora Update System 2016-12-02 09:22:32 UTC
python-copr-1.75-1.el6 copr-cli-1.58-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-6ae237efcc

Comment 5 Fedora Update System 2016-12-02 09:23:12 UTC
python-copr-1.75-1.fc24 copr-cli-1.58-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-f63a8a0964

Comment 6 Fedora Update System 2016-12-02 09:23:28 UTC
python-copr-1.75-1.el7 copr-cli-1.58-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-7d124bdfe6

Comment 7 Fedora Update System 2016-12-03 04:29:49 UTC
copr-cli-1.58-1.fc23, python-copr-1.75-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-d0ffe6c134

Comment 8 Fedora Update System 2016-12-03 04:37:06 UTC
copr-cli-1.58-1.fc25, python-copr-1.75-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-f69f5dbfee

Comment 9 Fedora Update System 2016-12-03 05:42:15 UTC
copr-cli-1.58-1.fc24, python-copr-1.75-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-f63a8a0964

Comment 10 Fedora Update System 2016-12-03 11:18:18 UTC
copr-cli-1.58-1.el6, python-copr-1.75-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-6ae237efcc

Comment 11 Fedora Update System 2016-12-03 11:19:08 UTC
copr-cli-1.58-1.el7, python-copr-1.75-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-7d124bdfe6

Comment 12 Fedora Update System 2016-12-27 05:18:18 UTC
copr-cli-1.58-1.fc25, python-copr-1.75-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2016-12-27 15:47:49 UTC
copr-cli-1.58-1.fc25, python-copr-1.75-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2017-01-04 18:18:17 UTC
copr-cli-1.58-1.el7, python-copr-1.75-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2017-01-04 21:21:37 UTC
copr-cli-1.58-1.fc24, python-copr-1.75-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2017-01-05 04:19:35 UTC
copr-cli-1.58-1.el7, python-copr-1.75-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2017-01-05 17:19:00 UTC
copr-cli-1.58-1.el6, python-copr-1.75-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.